package com.rongwei.bscommon.sys.service;


import com.rongwei.bsentity.domain.EquGdyRecordDo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwei.rwcommon.base.R;

import java.util.Date;

/**
 *
 */
public interface EquGdyRecordService extends IService<EquGdyRecordDo> {

    R generateDailyRecords();

    R saveData(EquGdyRecordDo equGdyRecordDo);

    R generateByDate(Date startDate, Date endDate);
}
